/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _BCPORT_H_
#define _BCPORT_H_

class BCPort
{
public:
	BCPort(long game, unsigned short port);
	friend bool operator< (const BCPort &x, const BCPort &y)
	{
		return ((x.fGame < y.fGame) || 
				(x.fGame == y.fGame && x.fPort < y.fPort));
	}
public:
	long fGame;
	unsigned short fPort;
};

#endif //_BCPORT_H_