/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#include "StdAfx.h"
#include "BaseServer.h"
#include "Utilities.h"

BaseServer::BaseServer()
{
}

BaseServer::BaseServer(unsigned long ip, unsigned short port)
{
	SetAddress (ip, port);
}

void BaseServer::SetAddress(unsigned long ip, unsigned short port)
{
	this->fIP = ip;
	this->fPort = port;
	this->fIPStr = IP2String (ip);
	this->fPortStr = Port2String (port);
}