/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#pragma once

#include "EditControl.h"

class DlgPassword
{
public:
	DlgPassword(HWND hParent);
	~DlgPassword();
	INT_PTR Create(string *pass);
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

	HWND fWnd;
	HWND fParent;
private:
	void OnInitDialog(HWND hDlg);

	string *fPassString;
	EditControl fPassword;
};
