/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGPREFERENCESGAMES_H_
#define _DLGPREFERENCESGAMES_H_

#include "DlgPreferencesFrame.h"
#include "ListBox.h"

class DlgPreferencesGames : public DlgPreferencesFrame
{
public:
	DlgPreferencesGames(DlgPreferences *dlg, long frameID);
	~DlgPreferencesGames();
	void Create();
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
private:
	long fGameSort[kGameCount];
	ListBox fGameList;
};

extern DlgPreferencesGames *gDlgPreferencesGames;

#endif //_DLGPREFERENCESGAMES_H_