/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#pragma once

#include "GameServer.h"
#include "RefreshServer.h"

#include <list>

class HalflifeRefresh
{
public:
	HalflifeRefresh();
	~HalflifeRefresh();
	void Start(HWND hwnd, unsigned int message);
	void Stop();
	void AddServer(GameServer *server, SOCKET sock);
	static void PutServer(RefreshServer &server);
	static list<RefreshServer> fServers;
	static bool fRunning;
	static bool fStop;
	static HWND fWindow;
	static unsigned long fMessage;
	static HANDLE fHandle;
};

extern HalflifeRefresh *gHalflifeRefresh;