/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#pragma once

#include <fstream>
#include <iostream>

class LogFile
{
private:
	ofstream file;
	string fileName;
	int level;
public:
	LogFile(string workingDir, int logLevel);
	void ErrorMessage(string message);
	void InfoMessage(string message);
	void DebugMessage(string message);
};

extern LogFile *gLogFile;
