/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _PLAYERLISTVIEW_H_
#define _PLAYERLISTVIEW_H_

#include "ListView.h"
#include "Settings.h"
#include "Player.h"

class PlayerListView : public ListView
{
public:
	PlayerListView();
	~PlayerListView();
	void Create(HWND hParent);
	void Rebuild();
	void AddPlayer(Player *player);
	void Sort();
	LRESULT OnNotify(LPARAM lParam);
private:
	vector <COLUMNINFO> fColumns;
};

#endif //_PLAYERLISTVIEW_H_