/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#pragma once
#include "BaseServer.h"
#include "GameServer.h"

class RefreshServer :
	public BaseServer
{
public:
	RefreshServer(unsigned long ip, unsigned short port);
	RefreshServer(unsigned long ip, unsigned short port, unsigned short queryPort);
	RefreshServer(GameServer *server);
	void SetAddress(unsigned long ip, unsigned short port);
	void SetAddress(unsigned long ip, unsigned short port, unsigned short queryPort);
	unsigned short fQueryPort;
	string fQueryPortStr;
	long fGame;
	bool fNew;
	long fPacketCount;
	bool fGotPacket[5];
	unsigned long fLastTime;
	long fTimeoutCount;
	long fTryCount;
	SOCKET fSocket;
};
