/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#include "StdAfx.h"
#include "Utilities.h"

string IP2String(unsigned long lIP)
{
	string strIP;
	char str[10];

	strIP = itoa ((lIP >> 24) & 255, str, 10);
	strIP += ".";
	strIP += itoa ((lIP >> 16) & 255, str, 10);
	strIP += ".";
	strIP += itoa ((lIP >> 8) & 255, str, 10);
	strIP += ".";
	strIP += itoa (lIP & 255, str, 10);

	return strIP;
}

string Port2String(unsigned short sPort)
{
	string strPort;
	char str[10];
	
	strPort = itoa (sPort, str, 10);

	return strPort;
}
