/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _VARIABLELISTVIEW_H_
#define _VARIABLELISTVIEW_H_

#include "ListView.h"
#include "Settings.h"
#include "StringVariable.h"

class VariableListView : public ListView
{
public:
	VariableListView();
	~VariableListView();
	void Create(HWND hParent);
	void Rebuild();
	void AddVariable(StringVariable *variable);
	void Sort();
	LRESULT OnNotify(LPARAM lParam);
private:
	vector <COLUMNINFO> fColumns;
};

#endif //_VARIABLELISTVIEW_H_