/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGNETWORK_H_
#define _DLGNETWORK_H_

#include "Globals.h"
#include "TreeView.h"
#include "Settings.h"
#include "DlgNetworkFrame.h"

class DlgNetwork
{
public:
	DlgNetwork(HWND hParent);
	~DlgNetwork();
	void Create();
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

	HWND fWnd;
	HWND fParent;
private:
	void OnInitDialog(HWND hDlg);

	TreeView fTreeView;
	vector <TREENODE> fTreeNodes;
	DlgNetworkFrame *fLastFrame;
};

#endif //_DLGNETWORK_H_
