/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGNETWORKFRAME_H_
#define _DLGNETWORKFRAME_H_

class DlgNetwork;

class DlgNetworkFrame
{
public:
	DlgNetworkFrame(DlgNetwork *dlg, long frameID);
	~DlgNetworkFrame();
	void Create(DLGPROC dlgProc);
	void Show();
	void Hide();
protected:
	DlgNetwork *fDlg;
	HWND fFrame;
	long fFrameID;
};

#endif //_DLGNETWORKFRAME_H_