/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGPREFERENCES_H_
#define _DLGPREFERENCES_H_

#include "Globals.h"
#include "TreeView.h"
#include "Settings.h"
#include "DlgPreferencesFrame.h"

class DlgPreferences
{
public:
	DlgPreferences(HWND hParent);
	~DlgPreferences();
	void Create();
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

	Settings fSettings;
	HWND fWnd;
	HWND fParent;
private:
	void OnInitDialog(HWND hDlg);

	TreeView fTreeView;
	vector <TREENODE> fTreeNodes;
	DlgPreferencesFrame *fLastFrame;
};

#endif //_DLGPREFERENCES_H_
