/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGPREFERENCESFRAME_H_
#define _DLGPREFERENCESFRAME_H_

class DlgPreferences;

class DlgPreferencesFrame
{
public:
	DlgPreferencesFrame(DlgPreferences *dlg, long frameID);
	~DlgPreferencesFrame();
	void Create(DLGPROC dlgProc);
	void Show();
	void Hide();
protected:
	DlgPreferences *fDlg;
	HWND fFrame;
	long fFrameID;
};

#endif //_DLGPREFERENCESFRAME_H_