/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGPREFERENCESGAME_H_
#define _DLGPREFERENCESGAME_H_

#include "DlgPreferencesFrame.h"
#include "EditControl.h"

class DlgPreferencesGame : public DlgPreferencesFrame
{
public:
	DlgPreferencesGame(DlgPreferences *dlg, long frameID);
	~DlgPreferencesGame();
	void Create();
	void Show(long game);
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
private:
	long fGame;
	EditControl fEditFolder;
	EditControl fEditExe;
	EditControl fEditParam;
};

extern DlgPreferencesGame *gDlgPreferencesGame;

#endif //_DLGPREFERENCESGAME_H_
