/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGPREFERENCESLAYOUT_H_
#define _DLGPREFERENCESLAYOUT_H_

#include "DlgPreferencesFrame.h"

class DlgPreferencesLayout : public DlgPreferencesFrame
{
public:
	DlgPreferencesLayout(DlgPreferences *dlg, long frameID);
	~DlgPreferencesLayout();
	void Create();
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
private:
	void Refresh();

	HANDLE fLayoutStdShortLeft;
	HANDLE fLayoutStdShortRight;
	HANDLE fLayoutStdLongLeft;
	HANDLE fLayoutStdLongRight;
};

extern DlgPreferencesLayout *gDlgPreferencesLayout;

#endif //_DLGPREFERENCESLAYOUT_H_
