/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _DLGPREFERENCESLISTVIEW_H_
#define _DLGPREFERENCESLISTVIEW_H_

#include "DlgPreferencesFrame.h"
#include "ListBox.h"

class DlgPreferencesListView : public DlgPreferencesFrame
{
public:
	DlgPreferencesListView(DlgPreferences *dlg, long frameID);
	~DlgPreferencesListView();
	void Create();
	void Show(long listViewID);
	INT_PTR DialogProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
private:
	long fListView;
	vector <COLUMNINFO> fAvailable;
	vector <COLUMNINFO> fSelected;
	ListBox fListAvailable;
	ListBox fListSelected;
};

extern DlgPreferencesListView *gDlgPreferencesListView;

#endif //_DLGPREFERENCESLISTVIEW_H_
