/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#include "StdAfx.h"
#include "DlgPreferences.h"
#include "DlgPreferencesListView.h"
#include "QFinder.h"

CDlgPreferencesListView *DlgPreferencesListView;

INT_PTR CALLBACK PreferencesListViewDialogProc (HWND hDlg, UINT Message, WPARAM wParam, LPARAM lParam);

CDlgPreferencesListView::CDlgPreferencesListView(CDlgPreferences *pDlg, long lFrameID)
:CDlgPreferencesFrame (pDlg, lFrameID)
{
}

CDlgPreferencesListView::~CDlgPreferencesListView()
{
	CDlgPreferencesFrame::~CDlgPreferencesFrame();
}

void CDlgPreferencesListView::Create()
{
	CDlgPreferencesFrame::Create ((DLGPROC) PreferencesListViewDialogProc);
}

INT_PTR CDlgPreferencesListView::DialogProc(HWND hDlg, UINT Message, WPARAM wParam, LPARAM lParam)
{
	switch (Message)
	{
	case WM_INITDIALOG:
		SetWindowPos(hDlg, HWND_TOP, 170, 32, 0, 0, SWP_NOSIZE);
		return TRUE;
	case WM_SHOWWINDOW:
		break;
	case WM_COMMAND:
		switch (HIWORD (wParam))
		{
		case BN_CLICKED:
			switch (LOWORD (wParam))
			{
			case 0:;
			}
			break;
		}
		break;
	}
	return FALSE;
}


INT_PTR CALLBACK PreferencesListViewDialogProc (HWND hDlg, UINT Message, WPARAM wParam, LPARAM lParam)
{
	return DlgPreferencesListView->DialogProc (hDlg, Message, wParam, lParam);
}
