/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _GAMETREEVIEW_H_
#define _GAMETREEVIEW_H_

#include "TreeView.h"

class GameTreeView : public TreeView
{
public:
	GameTreeView();
	~GameTreeView();
	void Create(HWND hParent);
	void Rebuild();
	LRESULT OnNotify(LPARAM lParam);
	void SelectLastGame();
private:
	HIMAGELIST fImageList;
};

#endif //_GAMETREEVIEW_H_
