/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _MAINTOOLBAR_H_
#define _MAINTOOLBAR_H_

#include "ToolBar.h"

const int kToolBarIndexRefreshGame = 2;

class MainToolBar : public ToolBar
{
public:
	MainToolBar();
	~MainToolBar();
	void Create(HWND hParent);
	void Rebuild();
	LRESULT OnNotify(LPARAM lParam);
private:
	HIMAGELIST fImageList;
};

#endif //_MAINTOOLBAR_H_