/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _MASTERSERVER_H_
#define _MASTERSERVER_H_

#include "BaseServer.h"

class MasterServer : public BaseServer
{
public:
	MasterServer();
	MasterServer(unsigned long ip, unsigned short port);
	long fGame;
	long fType;
	string fDescription;
	
	friend bool operator< (const MasterServer &x, const MasterServer &y)
	{
		return ((x.fType < y.fType) ||
				(x.fType == y.fType && x.fGame < y.fGame) || 
				(x.fType == y.fType && x.fGame == y.fGame && x.fIP < y.fIP) ||
				(x.fType == y.fType && x.fGame == y.fGame && x.fIP == y.fIP && x.fPort < y.fPort));
	}
};

#endif //_MASTERSERVER_H_
