/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _PLAYER_H_
#define _PLAYER_H_

class Player
{
public:
	Player();
	Player(const Player &player);

	string fName;
	long fFrags;
	long fPing;

	friend bool operator< (const Player &x, const Player &y)
	{
		return (x.fName < y.fName);
	}
};

#endif //_PLAYER_H_
