/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _SERVERLISTVIEW_H_
#define _SERVERLISTVIEW_H_

#include "ListView.h"
#include "Settings.h"
#include "GameServer.h"

class ServerListView : public ListView
{
public:
	ServerListView();
	~ServerListView();
	void Create(HWND hParent);
	void Rebuild();
	void AddServer(GameServer *Server);
	long FindServer(GameServer *server);
	GameServer *GetServer(long index);
	void Sort();
	LRESULT OnNotify(LPARAM lParam);
private:
	HIMAGELIST fImageList;
	vector <COLUMNINFO> fColumns;
};

#endif //_SERVERLISTVIEW_H_