/*
 * QFinder - A game server browser for Windows
 *
 * Copyright (C) 1999,2004 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _STRINGVARIABLE_H_
#define _STRINGVARIABLE_H_

class StringVariable
{
public:
	StringVariable();
	StringVariable(const StringVariable &variable);

	string fName;
	string fValue;

	friend bool operator< (const StringVariable &x, const StringVariable &y)
	{
		return (x.fName < y.fName);
	}
};

#endif //_STRINGVARIABLE_H_